MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028796Open CASCADE[OCCT] OCCT:Codingpublic2017-05-29 12:422017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028796: Coding Rules - fix declaration of Move constructor in NCollection_Array1
DescriptionThe Move constructor in NCollection_Array1 is declared with const argument:
  NCollection_Array1 (const NCollection_Array1&& theOther)

producing the following compilation error:
c:\occt\src\NCollection\NCollection_Array1.hxx:201: error: C3490: 'myUpperBound' cannot be modified because 
it is being accessed through a const object
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028470closedbugmaster Foundation Classes, NCollection_Array1 - add Resize() method for re-allocating array with new limits 

-  Notes
(0066714)
git (administrator)
2017-05-29 12:51

Branch CR28796 has been created by kgv.

SHA-1: ff7c7841d7492b2b4f67c9308dcbc4516097c8d0


Detailed log of new commits:

Author: kgv
Date: Mon May 29 12:46:59 2017 +0300

    0028796: Coding Rules - fix declaration of Move constructor in NCollection_Array1
(0066715)
kgv (developer)
2017-05-29 12:52

Please check compilation, regression testing is not needed.
(0066886)
mkv (tester)
2017-05-30 16:03

Dear BugMaster,
Branch CR28796 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: ff7c7841d7492b2b4f67c9308dcbc4516097c8d0

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1197
(0066887)
mkv (tester)
2017-05-30 16:04

Dear BugMaster,
Branch CR28796 is TESTED.
(0066995)
git (administrator)
2017-06-02 10:45

Branch CR28796 has been deleted by inv.

SHA-1: ff7c7841d7492b2b4f67c9308dcbc4516097c8d0

- Related Changesets
occt: master 3ae5dc81
Timestamp: 2017-05-29 09:46:59
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028796: Coding Rules - fix declaration of Move constructor in NCollection_Array1
mod - src/NCollection/NCollection_Array1.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-29 12:42 kgv New Issue
2017-05-29 12:42 kgv Assigned To => kgv
2017-05-29 12:51 git Note Added: 0066714
2017-05-29 12:52 kgv Note Added: 0066715
2017-05-29 12:52 kgv Assigned To kgv => bugmaster
2017-05-29 12:52 kgv Status new => resolved
2017-05-29 12:52 kgv Status resolved => reviewed
2017-05-29 12:52 kgv Relationship added child of 0028470
2017-05-29 13:17 mkv Assigned To bugmaster => mkv
2017-05-30 16:03 mkv Note Added: 0066886
2017-05-30 16:04 mkv Note Added: 0066887
2017-05-30 16:04 mkv Assigned To mkv => bugmaster
2017-05-30 16:04 mkv Status reviewed => tested
2017-05-30 16:04 mkv Test case number => Not needed
2017-06-02 10:28 bugmaster Changeset attached => occt master 3ae5dc81
2017-06-02 10:28 bugmaster Status tested => verified
2017-06-02 10:28 bugmaster Resolution open => fixed
2017-06-02 10:45 git Note Added: 0066995
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker